<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR TRANSAKSI KAS</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-9 form-inline">
              <label class="col-form-label mr-1">Menunjukkan </label>
              <select (change)="doGetListKas()" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
              </select>
              <label class="ml-1"> Data</label>
            </div>
            <div class="col-sm-3">
              <button *ngIf="dataUser.role === 'ADM'" class="pull-right btn btn-success" data-toggle="modal" (click)="addModal.show(); doOpenFormAdd();">
                <i class="icon-plus"></i> Tambah Kas</button>
            </div>
          </div><br>
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Mulai</label>
                  <input class="form-control pr-0" (keyup.enter)="doGetListKas()" id="tanggalMulai" type="date" placeholder="date" [(ngModel)]="tanggalMulai">
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Akhir</label>
                  <input class="form-control pr-0" (keyup.enter)="doGetListKas()" id="tanggalAkhir" type="date" placeholder="date" [(ngModel)]="tanggalAkhir">
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Dari Kas</label>
                  <select class="form-control" title="Pilih Kas" (keyup.enter)="doGetListKas()" [(ngModel)]="dariKas">
                    <option value="" disabled>Pilih Kas</option>
                    <option *ngFor="let data of listBank" value="{{data.kodeBank}}">{{data.namaBank}}</option>
                    <!--<option value="Kas Tunai">Kas Tunai</option>-->
                    <!--<option value="Bank Mandiri">Bank Mandiri</option>-->
                    <!--<option value="Bank BCA">Bank BCA</option>-->
                    <!--<option value="Bank BRI">Bank BRI</option>-->
                  </select>
                </div>
                <div class="col-sm-2">
                  <label class="col-form-label">Untuk Kas</label>
                  <select class="form-control" title="Pilih Kas" (keyup.enter)="doGetListKas()" [(ngModel)]="untukKas">
                    <option value="" disabled>Pilih Kas</option>
                    <option *ngFor="let data of listBank" value="{{data.kodeBank}}">{{data.namaBank}}</option>
                    <!--<option value="Kas Tunai">Kas Tunai</option>-->
                    <!--<option value="Bank Mandiri">Bank Mandiri</option>-->
                    <!--<option value="Bank BCA">Bank BCA</option>-->
                    <!--<option value="Bank BRI">Bank BRI</option>-->
                  </select>
                </div>
                <div class="col-sm-1 pl-0 pr-0" style="margin-top: 34px">
                  <button class="btn btn-success"  (click)="doGetListKas()"><i class="fa fa-search"></i> Cari</button>
                </div>
                <!--<div class="col-sm-4">-->
                  <!--<label class="col-form-label">Pencarian </label>-->
                  <!--<div class="controls">-->
                    <!--<div class="input-group">-->
                      <!--<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" size="16" type="text" placeholder="Pencarian...">-->
                      <!--<span class="input-group-append">-->
                        <!--<button class="btn btn-success" type="button" (click)="doGetListKas()"><i class="fa fa-search"></i> Cari </button>-->
                      <!--</span>-->
                    <!--</div>-->
                  <!--</div>-->
                <!--</div>-->
              </div>
            </div>
          </div><br>
          <div *ngIf="listKas | filter: filterText as list">
            <table class="table table-bordered table-striped table-sm table-responsive">
              <thead>
              <tr class="font-xs">
                <th class="text-center" style="width: 1%">No.</th>
                <th class="text-center align-middle" style="width: 10%" (click)="sort('tanggalTransaksi')">Tanggal Transaksi
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tanggalTransaksi',
                                    'fa-sort-asc': (column == 'tanggalTransaksi' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalTransaksi' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 15%" (click)="sort('keterangan')">Nama Transaksi
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'keterangan',
                                    'fa-sort-asc': (column == 'keterangan' && isDesc),
                                    'fa-sort-desc': (column == 'keterangan' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 10%" (click)="sort('dariKas')">Dari Kas
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'dariKas',
                                    'fa-sort-asc': (column == 'dariKas' && isDesc),
                                    'fa-sort-desc': (column == 'dariKas' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" style="width: 10%" (click)="sort('untukKas')">Untuk Kas
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'untukKas',
                                    'fa-sort-asc': (column == 'untukKas' && isDesc),
                                    'fa-sort-desc': (column == 'untukKas' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <!--<th class="text-center" style="width: 10%" (click)="sort('akun')">Akun-->
                <!--<i class="fa" [ngClass]="{'fa-sort': column != 'akun',-->
                <!--'fa-sort-asc': (column == 'akun' && isDesc),-->
                <!--'fa-sort-desc': (column == 'akun' && !isDesc) }"-->
                <!--aria-hidden="true">-->
                <!--</i>-->
                <!--</th>-->
                <th class="text-center align-middle" style="width: 7%" (click)="sort('mediaIuran')">Nominal
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'mediaIuran',
                                    'fa-sort-asc': (column == 'mediaIuran' && isDesc),
                                    'fa-sort-desc': (column == 'mediaIuran' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <!--<th class="text-center align-middle" style="width: 7%" (click)="sort('userUpdate')">User Update-->
                  <!--<i class="fa pull-right" [ngClass]="{'fa-sort': column != 'userUpdate',-->
                                    <!--'fa-sort-asc': (column == 'userUpdate' && isDesc),-->
                                    <!--'fa-sort-desc': (column == 'userUpdate' && !isDesc) }"-->
                     <!--aria-hidden="true">-->
                  <!--</i>-->
                <!--</th>-->
                <!--<th class="text-center align-middle" style="width: 12%"  *ngIf="dataUser.role === 'ADM'">Aksi</th>-->
              </tr>
              </thead>
              <tbody *ngIf="!listKas || listKas.length===0 || list.length===0">
              <tr>
                <td colspan="7" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of list | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
                <td>{{data.tanggalTransaksi | date: 'dd MMM yyyy'}}</td>
                <td class="text-left">{{ data.keterangan }}</td>
                <td>{{ data.dariKas }}</td>
                <td>{{ data.untukKas }}</td>
                <!--<td>{{ data.jenisTransaksi }}</td>-->
                <td>{{ data.nominal | number}}</td>
                <!--<td>{{ data.userUpdate }}</td>-->
                <!--<td *ngIf="dataUser.role === 'ADM'">-->
                  <!--<button class="btn btn-success btn-sm" (click)="addModal.show(); setSelectedKas(data); doOpenFormEdit();"><i class="fa fa-edit"></i> Ubah</button>-->
                  <!--<button class="btn btn-danger btn-sm ml-1" (click)="confirmModal.show(); setSelectedKas(data)"><i class="fa fa-times"></i> Hapus</button>-->
                <!--</td>-->
              </tr>
              </tbody>
            </table>
            <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
            <div class="pull-right mt-auto">
              <pagination *ngIf="list.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                          [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
              </pagination>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #addModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document" style="width: 80%;">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> {{modalTitle}} Transaksi Kas</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
          <div class="row">
            <div class="col-sm-10">
              <div class="col-sm-12">
                <label class="col-form-label">Tanggal Transaksi</label>
                <!--<input type="text" id="fromDate" class="form-control" aria-describedby="tanggalTransaksi"-->
                       <!--#dp="bsDatepicker" [bsConfig]="dpConfig" bsDatepicker [(bsValue)]="tanggalTransaksi" value="{{ tanggalTransaksi | date:'dd MMM yyyy' }}">-->
                <input class="form-control" id="tanggalTransaksi" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" formControlName="tanggalTransaksi">
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nominal</label>
                <div class="input-group">
                  <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominal.value}}"
                         placeholder="Nominal" formControlName="nominal">
                </div>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Keterangan</label>
                <textarea rows="2" id="keterangan" class="form-control" formControlName="keterangan" placeholder="Keterangan"></textarea>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Jenis Akun</label>
                <select class="form-control" (change)="setKeterangan();" formControlName="akun">
                  <option value="" disabled>Pilih Jenis Akun</option>
                  <option value="Pemasukan">Pemasukan</option>
                  <option value="Pengeluaran">Pengeluaran</option>
                  <option value="Transfer">Transfer</option>
                </select>
              </div>
              <!--<div class="col-sm-12">-->
              <!--<label class="col-form-label">Dari Akun</label>-->
              <!--&lt;!&ndash;<ngx-select-dropdown [multiple]="false" [config]="configSelectJenisAngsuran" [(value)]="selectedJenisAngsuran" [options]="listJenisAngsuran"></ngx-select-dropdown>&ndash;&gt;-->
              <!--<select class="form-control" (change)="setKeterangan();" formControlName="dariAkun">-->
              <!--<option value="" disabled>Pilih Jenis Akun</option>-->
              <!--<option value="Tunai">Tunai</option>-->
              <!--<option value="Bank Mandiri">Bank Mandiri</option>-->
              <!--</select>-->
              <!--</div>-->
              <div class="col-sm-12" *ngIf="formBuilder.controls.akun.value === 'Pengeluaran' || formBuilder.controls.akun.value === 'Transfer'">
                <label class="col-form-label">Dari Kas</label>
                <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectJenisAngsuran" [(value)]="selectedJenisAngsuran" [options]="listJenisAngsuran"></ngx-select-dropdown>-->
                <select class="form-control" (change)="setKeteranganDari();" formControlName="kodeDariKas">
                  <option value="" disabled>Pilih Kas</option>
                  <option *ngFor="let data of listBank" value="{{data.kodeBank}}">{{data.namaBank}}</option>
                  <!--<option value="TUNAI">Kas Tunai</option>-->
                  <!--<option value="MANDIRI">Bank Mandiri</option>-->
                  <!--<option value="BCA">Bank BCA</option>-->
                  <!--<option value="BRI">Bank BRI</option>-->
                </select>
              </div>
              <div class="col-sm-12" *ngIf="formBuilder.controls.akun.value === 'Pemasukan' || formBuilder.controls.akun.value === 'Transfer'">
                <label class="col-form-label">Untuk Kas</label>
                <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectJenisAngsuran" [(value)]="selectedJenisAngsuran" [options]="listJenisAngsuran"></ngx-select-dropdown>-->
                <select class="form-control" (change)="setKeteranganUntuk();" formControlName="kodeUntukKas">
                  <option value="" disabled>Pilih Kas</option>
                  <option *ngFor="let data of listBank" value="{{data.kodeBank}}">{{data.namaBank}}</option>
                  <!--<option value="TUNAI">Kas Tunai</option>-->
                  <!--<option value="MANDIRI">Bank Mandiri</option>-->
                  <!--<option value="BCA">Bank BCA</option>-->
                  <!--<option value="BRI">Bank BRI</option>-->
                </select>
              </div>
            </div>
          </div>
          <!--<div class="row">-->
          <!--<div class="col-sm-10">-->
          <!--<div class="col-sm-12">-->
          <!--<label class="col-form-label">Dari Kas</label>-->
          <!--<input type="text" id="namaPerusahaan" class="form-control" formControlName="namaPerusahaan" placeholder="Nama Perusahaan">-->
          <!--</div>-->
          <!--</div>-->
          <!--</div>-->
          <!--<div class="row">-->
          <!--<div class="col-sm-10">-->
          <!--<div class="col-sm-12">-->
          <!--<label class="col-form-label">Untuk Kas</label>-->
          <!--<input type="text" id="namaPerusahaan" class="form-control" formControlName="namaPerusahaan" placeholder="Nama Perusahaan">-->
          <!--</div>-->
          <!--</div>-->
          <!--</div>-->
          <!--<div class="row">-->
          <!--<div class="col-sm-10">-->
          <!--<div class="col-sm-12">-->
          <!--<label class="col-form-label">Alamat Perusahaan</label>-->
          <!--<input type="text" id="alamatPerusahaan" class="form-control" formControlName="alamatPerusahaan" placeholder="Alamat Perusahaan">-->
          <!--</div>-->
          <!--</div>-->
          <!--</div>-->
          <!--<div class="row">-->
          <!--<div class="col-sm-10">-->
          <!--<div class="col-sm-12">-->
          <!--<label class="col-form-label">Email Perusahaan</label>-->
          <!--<input type="text" id="emailPerusahaan" class="form-control" formControlName="emailPerusahaan" placeholder="Email Perusahaan">-->
          <!--</div>-->
          <!--</div>-->
          <!--</div>-->
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="addModal.hide()">Close</button>
        <button type="button" class="btn btn-success" (click)="addModal.hide(); submit()" [disabled]="formBuilder.invalid">
          <i class="fa fa-save"></i> Submit</button>
      </div>
    </div>
  </div>
</div>

<div bsModal #confirmModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="confirmModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Konfirmasi Hapus Transaksi</h4>
        <button type="button" class="close" (click)="confirmModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <h4>Apakah Anda yakin ingin menghapus transaksi ini?</h4>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="confirmModal.hide()">Tidak</button>
        <button type="button" class="btn btn-success" (click)="confirmModal.hide(); delete()">
          <i class="fa fa-save"></i> Ya</button>
      </div>
    </div>
  </div>
</div>
